- Qt 5.15
- Qt GUI
- C++ Classes
- QWindowStateChangeEvent
- Qt 5.15.18 Reference Documentation

# QWindowStateChangeEvent Class

The QWindowStateChangeEvent class provides the window state before a window state change. More...

Header: | #include <QWindowStateChangeEvent>
qmake: | QT += gui
Inherits: | QEvent

- List of all members, including inherited members

## Public Functions

Qt::WindowStates | oldState() const

## Detailed Description

## Member Function Documentation

### Qt::WindowStates QWindowStateChangeEvent::oldState() const

Returns the state of the window before the change.